Subject: Re: [PATCH net-next v3 2/8] netlink: add schemas for YAML specs

From: Jakub Kicinski <[email-masked]>
Date: Thu, 19 Jan 2023 16:08:12 -0800

On Thu, 19 Jan 2023 08:07:31 -0600 Rob Herring wrote:
> > +$id: "http://kernel.org/schemas/netlink/genetlink-c.yaml#"
> > +$schema: "http://kernel.org/meta-schemas/netlink/core.yaml#"  
> 
> There's no core.yaml. If you don't have a custom meta-schema, then
> just set this to the schema for the json-schema version you are using.
> Then the tools can validate the schemas without your own validator
> class.

$schema: https://json-schema.org/draft/2020-12/schema

or

$schema: https://json-schema.org/draft-09/schema

? 

It seems like the documentation suggests the former but the latter 
appears widespread.